Excel VBA open/create Brics dwgs

Hallo. I just moved form AutoCad(Autodesk) to Bricscad. I used to run an Excel VBA (marco) which recognized Acad application to be open (and created new dwgs...) according to this code : Set fnGetAcadApplication = GetObject(, "AutoCAD.Application"). With BricCad, I turned it into : Set acadApp = GetObject(, "BricsCadApp.AcadApplication").I open both Brics and Excel as Administrator, I added BricsCAD App, Db, Sm 25 Libraries to VBA Project references ( where I used to have AutoCAD 18 Library), but my code does not recognize Brics as an open application. Where might the problem be ? I looked up previous discussions about similar topics, but from my understanding the reccomendation is to open both app as Administrator, but it is not working. Thank You in advance for any feedbacks.

Comments

  • aridzv
    edited November 2024

    @giro_2000

    I use this line of code and it's working:

    Set acadObj = GetObject(, "BricscadApp.AcadApplication")

    the only difference I see is that you use capital c in "BricsCadApp".

    I don't know if that is the problem…

    aridzv.